## org.codehaus.groovy.grails.documentation
Class DocumentedElement

    java.lang.Object
      org.codehaus.groovy.grails.documentation.DocumentedElement

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class DocumentedElement

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`DocumentedElement()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`String` `getArtefact()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getName()`
`Object` `getProperty(String property)`
`String` `getText()`
`Class` `getType()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setArtefact(String value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setName(String value)`
`void` `setProperty(String property, Object value)`
`void` `setText(String value)`
`void` `setType(Class value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentedElement

    public DocumentedElement()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String value)

### getType

    public Class getType()

### setType

    public void setType(Class value)

### getArtefact

    public String getArtefact()

### setArtefact

    public void setArtefact(String value)

### getText

    public String getText()

### setText

    public void setText(String value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project